/****** Object:  Trigger [[TRG_EST_NFE_CARTA_CORRECAO_PEND]    Script Date: 08/08/2012 10:00:52 ******/
IF  EXISTS (SELECT * FROM sys.triggers WHERE object_id = OBJECT_ID(N'[dbo].[TRG_EST_NFE_CARTA_CORRECAO_PEND]'))
DROP TRIGGER [dbo].[TRG_EST_NFE_CARTA_CORRECAO_PEND]
GO
GO
------------------------------------INSERÇÃO EM [TRG_EST_NFE_CARTA_CORRECAO_PEND------------------------------------
CREATE TRIGGER [dbo].[TRG_EST_NFE_CARTA_CORRECAO_PEND] ON [dbo].[EST_NFE_CARTA_CORRECAO] FOR INSERT AS

--Pendência de emissao de carta de correcao
INSERT INTO EST_NFE_CARTA_CORRECAO_PEND (CD_CTR_CARTA_CORRECAO, DT_CAD)
	SELECT 
		t.CD_CTR_CARTA_CORRECAO, 
		GETDATE()
    FROM 
    	INSERTED t 
	WHERE 				
		NOT EXISTS (SELECT 
						CD_CTR_CARTA_CORRECAO 
					FROM 
						EST_NFE_CARTA_CORRECAO_PEND pend
					WHERE 
						t.CD_CTR_CARTA_CORRECAO = pend.CD_CTR_CARTA_CORRECAO);


